## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate cursive

Name:           rust-cursive0.16
Version:        0.16.3
Release:        %autorelease
Summary:        TUI (Text User Interface) library focused on ease-of-use

License:        MIT
URL:            https://crates.io/crates/cursive
Source:         %{crates_source}
# * PR to add license to the crates: https://github.com/gyscos/cursive/pull/702
Source1:        https://raw.githubusercontent.com/gyscos/cursive/main/LICENSE
# Manually created patch for downstream crate metadata changes
# * bump ahash dependency from 0.6 to 0.7
# * drop unused bear-lib-terminal backend
# * drop unused crossterm backend
# * drop unused pancurses backend
# * drop unused markdown support with outdated dependencies
# * remove reference to readme file that is not included in published crates
# * port from wasmer_enumset to enumset
Patch:          cursive-fix-metadata.diff
# * https://github.com/gyscos/cursive/commit/aedfc9e
# * https://github.com/gyscos/cursive/commit/efc7b31
Patch2:         0001-port-from-wasmer_enumset-to-enumset.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A TUI (Text User Interface) library focused on ease-of-use.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+maplit-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+maplit-devel %{_description}

This package contains library source intended for building other packages which
use the "maplit" feature of the "%{crate}" crate.

%files       -n %{name}+maplit-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ncurses-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ncurses-devel %{_description}

This package contains library source intended for building other packages which
use the "ncurses" feature of the "%{crate}" crate.

%files       -n %{name}+ncurses-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ncurses-backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ncurses-backend-devel %{_description}

This package contains library source intended for building other packages which
use the "ncurses-backend" feature of the "%{crate}" crate.

%files       -n %{name}+ncurses-backend-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+term_size-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+term_size-devel %{_description}

This package contains library source intended for building other packages which
use the "term_size" feature of the "%{crate}" crate.

%files       -n %{name}+term_size-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+termion-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+termion-devel %{_description}

This package contains library source intended for building other packages which
use the "termion" feature of the "%{crate}" crate.

%files       -n %{name}+termion-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+termion-backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+termion-backend-devel %{_description}

This package contains library source intended for building other packages which
use the "termion-backend" feature of the "%{crate}" crate.

%files       -n %{name}+termion-backend-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+toml-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+toml-devel %{_description}

This package contains library source intended for building other packages which
use the "toml" feature of the "%{crate}" crate.

%files       -n %{name}+toml-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable_scroll-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable_scroll-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable_scroll" feature of the "%{crate}" crate.

%files       -n %{name}+unstable_scroll-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
cp -pav %{SOURCE1} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Mar 16 2025 Fabio Valentini <decathorpe@gmail.com> - 0.16.3-12
- Drop unused markdown support with outdated dependencies

* Sun Jan 19 2025 Fabio Valentini <decathorpe@gmail.com> - 0.16.3-11
- Port from wasmer_enumset to enumset

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Oct 15 2024 Fabio Valentini <decathorpe@gmail.com> - 0.16.3-9
- Drop unused pancurses backend support

* Tue Oct 15 2024 Fabio Valentini <decathorpe@gmail.com> - 0.16.3-8
- Drop unused crossterm backend support

* Fri Sep 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.16.3-7
- Remove reference to readme file that is not included in published crates

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.16.3-3
- Regenerate spec to reflect dropped features

* Fri Jan 20 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.16.3-2
- Drop bear-lib-terminal and blt-backend features due to missing
  dependencies

* Sat Dec 17 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.16.3-1
- Initial Fedora package
## END: Generated by rpmautospec
